> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves information about a specified lab series

> The **LabSeries** command will return information about a specific Lab Series.

## OpenAPI

````json GET /LabSeries
{
  "openapi": "3.0.3",
  "info": {
    "title": "Lab API",
    "description": "# Introduction \nWelcome to Skillable Connect: LAB Edition, our core platform for creating, customizing, and managing labs. \n\n## Skillable Production API & Integration Testing\nOnly lab profiles with a development status of **Complete** are consumable via API.\n\nDevelopment/Integration Testing API available with all the same API calls your production API can make, but has the following settings:\n\n- Max Active Lab Instances: 5\n- Max Saved Labs per User: 1\n- Max Active Lab Instances per user: 5\n- Max lab duration: 30 minutes\n- Allows launching of lab profiles with any Development Status (i.e. is not restricted to a Complete development status)\n- Has a dedicated API key\n- Does not generate billable events\n\n## Authenticate with API Key\nSkillable APIs offer one form of authentication: an API Key. All methods require an API Key, which must be obtained from a Skillable team member working with your organization. Our systems use this key to validate your development account. \n\nPass your API Key as an HTTP request header with the header name \"api_key\".\n\n\n<SecurityDefinitions />\n",
    "termsOfService": "https://skillable.com/terms-and-conditions/",
    "contact": {
      "name": "Skillable Support",
      "email": "support@skillable.com",
      "url": "https://skillable.com/customer-support/"
    },
    "x-logo": {
      "url": "https://raw.githubusercontent.com/LearnOnDemandSystems/ConnectAPI/main/Skillable%20Connect%20Logo.svg",
      "altText": "Skillable Connect"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "3.0"
  },
  "servers": [
    {
      "url": "https://labondemand.com/api/v3",
      "description": "Skillable Connect LAB API"
    }
  ],
  "paths": {
    "/LabSeries": {
      "parameters": [],
      "get": {
        "summary": "Retrieves information about a specified lab series",
        "description": "The **LabSeries** command will return information about a specific Lab Series.",
        "operationId": "LabSeries",
        "parameters": [
          {
            "schema": {
              "type": "integer",
              "example": "123"
            },
            "in": "query",
            "name": "labSeriesId",
            "description": "The unique identifier of the Lab Series.",
            "required": "true"
          }
        ],
        "responses": {
          "200": {
            "description": "OK Response.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/LabSeriesResponse"
                }
              }
            }
          }
        },
        "deprecated": "false",
        "tags": [
          "Lab Series Management"
        ],
        "x-stoplight": {
          "id": "zn49rzfv0bjqw"
        }
      }
    }
  },
  "components": {
    "schemas": {
      "LabSeriesResponse": {
        "type": "object",
        "x-stoplight": {
          "id": "zw3qzoamg1g08"
        },
        "x-examples": {},
        "properties": {
          "Id": {
            "type": "integer",
            "description": "The unique identifier of the Lab Series."
          },
          "Name": {
            "type": "string",
            "description": "The name of the Lab Series."
          },
          "Description": {
            "type": "string",
            "description": "A brief description of the Lab Series.",
            "nullable": "true"
          },
          "OrganizationId": {
            "type": "string",
            "x-stoplight": {
              "id": "tftyuskphkhjq"
            },
            "description": "The unique identifier of the Organization the lab series belongs to.",
            "nullable": "true"
          },
          "OrganizationName": {
            "type": "string",
            "x-stoplight": {
              "id": "y1svg0hg71b0a"
            },
            "description": "The name of the Organization the lab series belongs to.",
            "nullable": "true"
          },
          "NumTrainingDays": {
            "type": "integer",
            "x-stoplight": {
              "id": "41vjys6uoo21l"
            },
            "description": "The number of training days expected to complete the series."
          },
          "AllowAssignments": {
            "type": "boolean",
            "x-stoplight": {
              "id": "r17v6tv6vk87f"
            },
            "description": "Indicates that the Lab Series can be assigned."
          },
          "AllowAssignmentsUntil": {
            "type": "integer",
            "x-stoplight": {
              "id": "cdo5kdrbks406"
            },
            "description": "The date (in Unix epoch time) after which assignments are no longer valid. A null value indicates that assignments do not expire.",
            "format": "int64",
            "example": "1739482468",
            "nullable": "true"
          },
          "Price": {
            "type": "number",
            "x-stoplight": {
              "id": "3me9yn207nqx7"
            },
            "format": "float",
            "description": "The price of the Lab Series.",
            "example": "15.45"
          },
          "Created": {
            "type": "integer",
            "format": "int64",
            "description": "The date when the Lab Series was created (in Unix epoch time).",
            "example": "1739482453"
          },
          "CreatedBy": {
            "type": "string",
            "x-stoplight": {
              "id": "n88rb98dzycr9"
            },
            "description": "Name of the user that created the lab series."
          },
          "LastModified": {
            "type": "integer",
            "format": "int64",
            "description": "The date when the Lab Series was last modified (in Unix epoch time).",
            "example": "1739482468"
          },
          "LastModifiedBy": {
            "type": "string",
            "x-stoplight": {
              "id": "zhmmmybmlqpfl"
            },
            "description": "Name of the user that last updated the lab series."
          },
          "Status": {
            "type": "integer",
            "description": "Indicates the status of the API request.  \n0 = Error  \n1 = Success"
          },
          "Error": {
            "type": "string",
            "description": "In the event of an error, this will contain a detailed error message.",
            "nullable": "true"
          }
        }
      }
    }
  }
}
````

